jenkins-build-common: adds support to the new variables for patchelf.

2 variables are added in order to increase the flexibility of the add_rpath function.
patchelf_rpath_extra_args: adds more arguments to the rpath patch. For example "--force-rpath"
patchelf_rpath_dir: path to the libraries. This path is appended to the default '$ORIGIN/../lib/'

This commit add the jenkins-build-srslte-bbu.sh script, that builds the given repository filling the information for the 2 newly added variables.

Change-Id: I9f510112c63e7598add8c00f8573e34cac1b6064
diff --git a/contrib/jenkins-build-srslte-bbu.sh b/contrib/jenkins-build-srslte-bbu.sh
new file mode 100755
index 0000000..48ae622
--- /dev/null
+++ b/contrib/jenkins-build-srslte-bbu.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+set -e -x
+
+if [ -z "$trial_binaries" ]; then
+  trial_binaries="srsue srsenb srsepc"
+fi
+
+export patchelf_rpath_dir="/mnt/nfs/bdlibs"
+export patchelf_rapth_extra_args="--force-rpath"
+
+base="$PWD"
+name="srslte"
+git_url="${git_url:-https://github.com/srsLTE}"
+project_name="${project_name:-srsLTE}"
+. "$(dirname "$0")/jenkins-build-common.sh"
+
+#TODO: make sure libconfig, zeroMQ is installed
+build_repo $project_name $configure_opts
+
+create_bin_tgz "$trial_binaries"